Lucene search

K
suseSuseOPENSUSE-SU-2020:1215-1
HistorySep 18, 2020 - 12:00 a.m.

Security update for chromium (important)

2020-09-1800:00:00
lists.opensuse.org
33

EPSS

0.382

Percentile

97.3%

An update that fixes 14 vulnerabilities is now available.

Description:

This update for chromium fixes the following issues:

  • Chromium updated to 84.0.4147.125 (boo#1175085)

    • CVE-2020-6542: Use after free in ANGLE
    • CVE-2020-6543: Use after free in task scheduling
    • CVE-2020-6544: Use after free in media
    • CVE-2020-6545: Use after free in audio
    • CVE-2020-6546: Inappropriate implementation in installer
    • CVE-2020-6547: Incorrect security UI in media
    • CVE-2020-6548: Heap buffer overflow in Skia
    • CVE-2020-6549: Use after free in media
    • CVE-2020-6550: Use after free in IndexedDB
    • CVE-2020-6551: Use after free in WebXR
    • CVE-2020-6552: Use after free in Blink
    • CVE-2020-6553: Use after free in offline mode
    • CVE-2020-6554: Use after free in extensions
    • CVE-2020-6555: Out of bounds read in WebGL
    • Various fixes from internal audits, fuzzing and other initiatives
  • Disable wayland everywhere as it breaks headless and middle mouse copy
    everywhere: boo#1174497 boo#1175044

This update was imported from the openSUSE:Leap:15.2:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or β€œzypper patch”.

Alternatively you can run the command listed for your product:

  • openSUSE Backports SLE-15-SP2:

    zypper in -t patch openSUSE-2020-1215=1